Category Archives: Tekla

No Thumbnail

VB.Net Open Tekla Structure Model (Tekla Open API)

This article explains how to open a Tekla Structure from VB.Net. – Step 1 The first step would be to add reference to the Tekla.Structures.Model.dll Assembly: The assembly can be found in the path “C:Program FilesTekla Structures20.0ntbinplugins”. – Step 2: Any code written for tekla requires

No Thumbnail

Insert Concrete Column Using VB.Net (Tekla Open Api)

This article explains how to insert a concrete column in a tekla model using open api in VB.Net – Step 1: Add reference to the Tekla.Structures.Model.dll and the Tekla Structures.dll assemblies and manually start the application. This has been previous explained in the article below: VB.Net Open

No Thumbnail

Tekla Open API: Get Part Length

This article explains how you can get the length of a part using the Tekla Open API. Step 1: Add reference to the Tekla.Structures.Model and Tekla.Structures library located in the path “C:Program FilesTekla Structures20.0ntbinplugins” and manually open the tekla model. This has been covered in

No Thumbnail

Tekla Structures, Regroup Rebars

This article explains how to regroup rebars in Tekla. – Step 1: Details >> Create Reinforcement >>Group: – Step 2: Select the rebars. Press the middle mouse button when done: – Step 3: Rebars in a rebar group all have the same properties. In this step you will need

No Thumbnail

Tekla Open API, Hide/Show Objects in Model

This article explains how you can use the Tekla Open API to hide and show objects in the model. Note that the API doesn’t provide any direct methods for hiding/showing objects in the model. This article will provide a workaround for achieving this.   Step

No Thumbnail

Tekla Structures, Split Rebar Group

This article explains how to split a rebar group in Tekla. Step 1: Details >> Create Reinforcement >> Ungroup: Step 2: Select the rebar group. Press Esc when done: Result: As you can see in the figure below, the rebars can be selected independently now:

No Thumbnail

Tekla Open API: Get/Set User Defined Attributes

This article explains how you can get/set user defined attributes using the tekla open api.   Step 1, Add Libraries: Add reference to the Tekla.Structures.Model library located in the path “C:Program FilesTekla Structures20.0ntbinplugins” and manually open the tekla model. This has been covered in the article

No Thumbnail

Tekla Open API: Views

This article explains how you can create/modify/delete views in the model using the Tekla Open API in VB.Net. For more information about View Filters please see the article below: Tekla Open API: Change View Filters Step 1: Add reference to the Tekla.Structures.Model and the Tekla.Structures library located

No Thumbnail

Tekla Open API: Move Part

This article explains how you can move existing parts in a Tekla Structure model using the Tekla Open API in VB.Net. – Step 1: Add reference to the Tekla.Structures.Model and Tekla.Structures library located in the path “C:Program FilesTekla Structures20.0ntbinplugins” and manually open the tekla model. This

No Thumbnail

VB.Net Get Reference to Object, Tekla Open API

This article explains how you can reference to existing objects in a Tekla Structure model using the Tekla Open API in VB.Net. – Step 1: Add reference to the Tekla.Structures.Model library located in the path “C:Program FilesTekla Structures20.0ntbinplugins” and manually open the tekla model. This

privacy policy